aboutsummaryrefslogtreecommitdiffstats
path: root/main/py-sqlite/APKBUILD
diff options
context:
space:
mode:
authorFabian Affolter <fabian@affolter-engineering.ch>2013-03-11 09:48:47 +0000
committerFabian Affolter <fabian@affolter-engineering.ch>2013-03-11 14:07:32 +0000
commitd7542cfb44d4399f4f249d6b29f92b35d08c7bd4 (patch)
tree6d3c37c5b2c41a5cea5efaa387b74a15cd1a3f84 /main/py-sqlite/APKBUILD
parent0bf8505c1d37494bb3e603f34c835627506d23c8 (diff)
downloadaports-d7542cfb44d4399f4f249d6b29f92b35d08c7bd4.tar.gz
aports-d7542cfb44d4399f4f249d6b29f92b35d08c7bd4.tar.bz2
aports-d7542cfb44d4399f4f249d6b29f92b35d08c7bd4.tar.xz
main/py-sqlite: python is no longer needed as dep
Diffstat (limited to 'main/py-sqlite/APKBUILD')
-rw-r--r--main/py-sqlite/APKBUILD18
1 files changed, 10 insertions, 8 deletions
diff --git a/main/py-sqlite/APKBUILD b/main/py-sqlite/APKBUILD
index ee41216e6e..9b32388545 100644
--- a/main/py-sqlite/APKBUILD
+++ b/main/py-sqlite/APKBUILD
@@ -1,27 +1,29 @@
# Contributor: Mika Havela <mika.havela@gmail.com>
# Maintainer: Mika Havela <mika.havela@gmail.com>
pkgname=py-sqlite
-_realname=pysqlite
+_pkgname=pysqlite
pkgver=2.6.3
pkgrel=2
pkgdesc="A Python DB-API 2.0 interface for the SQLite embedded relational database engine"
url="http://code.google.com/p/pysqlite/"
arch="all"
license="MIT"
-depends="python sqlite"
+depends="sqlite"
makedepends="sqlite-dev python-dev"
-install=
-source="http://pysqlite.googlecode.com/files/${_realname}-${pkgver}.tar.gz"
-
-_builddir="$srcdir"/$_realname-$pkgver
+install=""
+source="http://pysqlite.googlecode.com/files/${_pkgname}-${pkgver}.tar.gz"
+_builddir="$srcdir"/$_pkgname-$pkgver
build() {
- return 0
+ cd "$_builddir"
+ python setup.py build || return 1
}
package() {
cd "$_builddir"
- python setup.py install --root="$pkgdir"
+ python setup.py install --prefix=/usr --root="$pkgdir" || return 1
}
md5sums="711afa1062a1d2c4a67acdf02a33d86e pysqlite-2.6.3.tar.gz"
+sha256sums="0d538880717f6347bb83f9ce11e9b171caf9d76e1980a0e9c22f8b03aec3585b pysqlite-2.6.3.tar.gz"
+sha512sums="fe7618b9b4b764a32be94dc8abd97445e33009c8489d2b417c9677382452a5c2d176feffe8b3167eb543f89d5ed3b9b717ceef63bfb2157b3f24a539cfb89a51 pysqlite-2.6.3.tar.gz"